#******************************************************************************
#
#       Copyright:      2007 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dFTGL
#       Filename:       tcl3dFTGLQuery.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D query procedures related to
#                       the FTGL module.
#
#******************************************************************************

# Get the version of the wrapped FTGL library.
# Note: FTGL does not support version numbers in the code.

proc tcl3dFTGLGetVersion {} {
    if { [info commands FTGLBitmapFont] ne "" } {
        return [format "%d.%d.%d" 2 1 2]
    } else {
        return ""
    }
}
