#******************************************************************************
#
#       Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dUtil
#       Filename:       pkgIndex.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl index file for the tcl3dUtil package.
#
#******************************************************************************

proc __tcl3dUtilSourcePkgs { dir } {
    rename ::__tcl3dUtilSourcePkgs {}
    source [file join $dir tcl3dAutoscroll.tcl]
    source [file join $dir tcl3dWidgets.tcl]
    source [file join $dir tcl3dConsole.tcl]
    source [file join $dir tcl3dToolhelp.tcl]
    source [file join $dir tcl3dColors.tcl]
    source [file join $dir tcl3dInfo.tcl]
    source [file join $dir tcl3dCompat.tcl]
    source [file join $dir tcl3dFile.tcl]
    source [file join $dir tcl3dVecMath.tcl]
    source [file join $dir tcl3dVector.tcl]
    source [file join $dir tcl3dTrackball.tcl]
    source [file join $dir tcl3dStateList.tcl]
    source [file join $dir tcl3dLogo.tcl]
    source [file join $dir tcl3dCapture.tcl]
    load [file join $dir tcl3dUtil[info sharedlibextension]] tcl3dUtil
}

if {![package vsatisfies [package provide Tcl] 8.4]} {return}
package ifneeded tcl3dutil 0.3.2 "[list __tcl3dUtilSourcePkgs $dir]"
