#******************************************************************************
#
#       Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dOgl
#       Filename:       pkgIndex.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl index file for the tcl3dOgl package.
#
#******************************************************************************

proc __tcl3dOglSourcePkgs { dir } {
    rename ::__tcl3dOglSourcePkgs {}
    source [file join $dir tcl3dOglQuery.tcl]
    load [file join $dir tcl3dOgl[info sharedlibextension]] tcl3dOgl
    source [file join $dir glutShapes.tcl]
    # Note: This file must be loaded after the wrapped OGL library,
    # because of the redefined glMultiDrawElements function.
    source [file join $dir tcl3dOglUtil.tcl]
}

if {![package vsatisfies [package provide Tcl] 8.4]} {return}
package ifneeded tcl3dogl 0.3.2 "[list __tcl3dOglSourcePkgs $dir]"
